Skip to main content

Version compatibility

Abstract

The version compatibility feature prevents you from using CLI commands with outdated Sitecore Management Services versions.

The Sitecore Command Line Interface(CLI) version 5.1.25 introduces a version compatibility feature that checks if the version of the Sitecore Management Services module is compatible with your version of the CLI.

The version compatibility feature is enabled by default, but it can be controlled with the help of the new settings entry in the sitecore.json file:

  "settings": {
    "versionComparingEnabled": true
  }

After upgrading the CLI, any CLI operations that make calls to the Sitecore Management Services endpoint run only if the version of the module is up to date.

As a short-term workaround, you can set versionComparingEnabled to false, but we strongly recommend that you update the Sitecore Management Services module instead.

Important

Although it is possible to disable the version compatibility check, incompatible versions of the CLI and Sitecore Management Service can result in inconsistent behavior and functional issues.